
#ifndef PERLIN_HPP
#define PERLIN_HPP

namespace cpe
{

class vec2;
class vec3;
class vec4;

class perlin
{
public:
    /** \brief return perlin noise in 1D */
    static double noise(const double x,int octave,double persistency);
    /** \brief return perlin noise in 2D */
    static double noise(const vec2& x,int octave,double persistency);
    /** \brief return perlin noise in 3D */
    static double noise(const vec3& x,int octave,double persistency);
    /** \brief return perlin noise in 4D */
    static double noise(const vec4& x,int octave,double persistency);

private:
};
}

#endif
